integrations/marketplace/amazon/dist¶
Interfaces¶
AmazonAddress¶
Indexable¶
Properties¶
AddressLine1?¶
AddressLine2?¶
AddressLine3?¶
AddressType?¶
City?¶
CountryCode?¶
County?¶
District?¶
Name?¶
Phone?¶
PostalCode?¶
StateOrRegion?¶
AmazonAwsSigningOptions¶
Properties¶
accessKeyId¶
region¶
secretAccessKey¶
service?¶
sessionToken?¶
AmazonBuyerInfo¶
Indexable¶
Properties¶
BuyerCounty?¶
BuyerEmail?¶
BuyerName?¶
BuyerTaxInfo?¶
optional BuyerTaxInfo?: {
CompanyLegalName?: string;
TaxClassifications?: {
Name?: string;
Value?: string;
}[];
TaxingRegion?: string;
};
CompanyLegalName?¶
TaxClassifications?¶
TaxingRegion?¶
PurchaseOrderNumber?¶
AmazonCreateSubscriptionInput¶
Indexable¶
Properties¶
destinationId¶
marketplaceIds?¶
Deprecated¶
Amazon Notifications createSubscription does not accept marketplaceIds as a query parameter. Use processingDirective.eventFilter when supported by the notification type.
notificationType¶
payloadVersion?¶
processingDirective?¶
AmazonCredentialStatusInput¶
Properties¶
accessTokenConfigured?¶
awsRegion?¶
awsRoleConfigured?¶
expiresAt?¶
lwaClientConfigured?¶
marketplaceId?¶
notificationDestinationConfigured?¶
notificationSignatureConfigured?¶
refreshTokenConfigured?¶
scopes?¶
AmazonDeleteSubscriptionInput¶
Properties¶
notificationType¶
subscriptionId¶
AmazonGetSubscriptionInput¶
Properties¶
notificationType¶
payloadVersion?¶
AmazonKnownOperationRequestMap¶
Properties¶
notifications:createSubscription¶
notifications:createSubscription: AmazonOperationRequestInput & {
body: Omit<AmazonCreateSubscriptionInput, "notificationType">;
pathParams: {
notificationType: string;
};
};
Type Declaration¶
body¶
pathParams¶
pathParams.notificationType¶
notifications:deleteSubscriptionById¶
notifications:deleteSubscriptionById: AmazonOperationRequestInput & {
pathParams: {
notificationType: string;
subscriptionId: string;
};
};
Type Declaration¶
pathParams¶
pathParams.notificationType¶
pathParams.subscriptionId¶
notifications:getDestination¶
notifications:getDestination: AmazonOperationRequestInput & {
pathParams: {
destinationId: string;
};
};
Type Declaration¶
pathParams¶
pathParams.destinationId¶
notifications:getDestinations¶
notifications:getSubscription¶
notifications:getSubscription: AmazonOperationRequestInput & {
pathParams: {
notificationType: string;
};
query?: {
payloadVersion?: string;
};
};
Type Declaration¶
pathParams¶
pathParams.notificationType¶
query?¶
query.payloadVersion?¶
ordersV0:getOrder¶
Type Declaration¶
pathParams¶
pathParams.orderId¶
ordersV0:getOrderItems¶
ordersV0:getOrderItems: AmazonOperationRequestInput & {
pathParams: {
orderId: string;
};
query?: {
NextToken?: string;
};
};
Type Declaration¶
pathParams¶
pathParams.orderId¶
query?¶
query.NextToken?¶
ordersV0:getOrders¶
Type Declaration¶
query?¶
sellers:getMarketplaceParticipations¶
tokens_2021-03-01:createRestrictedDataToken¶
tokens_2021-03-01:createRestrictedDataToken: AmazonOperationRequestInput & {
body: AmazonRestrictedDataTokenRequest;
};
Type Declaration¶
body¶
AmazonKnownOperationResponseMap¶
Properties¶
notifications:createSubscription¶
notifications:deleteSubscriptionById¶
notifications:getDestination¶
notifications:getDestinations¶
notifications:getSubscription¶
ordersV0:getOrder¶
ordersV0:getOrderItems¶
ordersV0:getOrders¶
sellers:getMarketplaceParticipations¶
tokens_2021-03-01:createRestrictedDataToken¶
AmazonLiveCheckOptions¶
Extends¶
Properties¶
accessToken?¶
Inherited from¶
AmazonMarketplaceClientOptions.accessToken
apiBaseUrl?¶
Inherited from¶
AmazonMarketplaceClientOptions.apiBaseUrl
aws?¶
Inherited from¶
AmazonMarketplaceClientOptions.aws
client?¶
endpoint?¶
Inherited from¶
AmazonMarketplaceClientOptions.endpoint
fetch?¶
Call Signature¶
Parameters¶
| Parameter | Type |
|---|---|
input |
URL | RequestInfo |
init? |
RequestInit |
Returns¶
Promise\<Response>
Call Signature¶
Parameters¶
| Parameter | Type |
|---|---|
input |
string | Request | URL |
init? |
RequestInit |
Returns¶
Promise\<Response>
Inherited from¶
AmazonMarketplaceClientOptions.fetch
lwaClientId?¶
Inherited from¶
AmazonMarketplaceClientOptions.lwaClientId
lwaClientSecret?¶
Inherited from¶
AmazonMarketplaceClientOptions.lwaClientSecret
lwaTokenUrl?¶
Inherited from¶
AmazonMarketplaceClientOptions.lwaTokenUrl
marketplaceId?¶
Inherited from¶
AmazonMarketplaceClientOptions.marketplaceId
officialSdk?¶
Inherited from¶
AmazonMarketplaceClientOptions.officialSdk
refreshToken?¶
Inherited from¶
AmazonMarketplaceClientOptions.refreshToken
region?¶
Inherited from¶
AmazonMarketplaceClientOptions.region
restrictedDataToken?¶
Inherited from¶
AmazonMarketplaceClientOptions.restrictedDataToken
restrictedDataTokenProvider?¶
optional restrictedDataTokenProvider?: (input) =>
| string
| AmazonRestrictedDataTokenResponse
| Promise<
| string
| AmazonRestrictedDataTokenResponse>;
Parameters¶
| Parameter | Type |
|---|---|
input |
AmazonRestrictedDataTokenRequest |
Returns¶
| string
| AmazonRestrictedDataTokenResponse
| Promise\<
| string
| AmazonRestrictedDataTokenResponse>
Inherited from¶
AmazonMarketplaceClientOptions.restrictedDataTokenProvider
restrictedDataTokenTargetApplication?¶
Inherited from¶
AmazonMarketplaceClientOptions.restrictedDataTokenTargetApplication
userAgent?¶
Inherited from¶
AmazonMarketplaceClientOptions.userAgent
AmazonLwaTokenResponse¶
Indexable¶
Properties¶
access_token?¶
expires_in?¶
refresh_token?¶
token_type?¶
AmazonMarketplaceClient¶
Methods¶
createProductReviewAndSellerFeedbackSolicitation()¶
createProductReviewAndSellerFeedbackSolicitation(amazonOrderId, marketplaceIds?): Promise<AmazonResource>;
Parameters¶
| Parameter | Type |
|---|---|
amazonOrderId |
string |
marketplaceIds? |
string[] |
Returns¶
Promise\<AmazonResource>
createRestrictedDataToken()¶
Parameters¶
| Parameter | Type |
|---|---|
input |
AmazonRestrictedDataTokenRequest |
Returns¶
Promise\<AmazonRestrictedDataTokenResponse>
createSubscription()¶
Parameters¶
| Parameter | Type |
|---|---|
input |
AmazonCreateSubscriptionInput |
Returns¶
Promise\<AmazonNotificationSubscriptionResponse>
deleteSubscription()¶
Parameters¶
| Parameter | Type |
|---|---|
input |
AmazonDeleteSubscriptionInput |
Returns¶
Promise\<Record\<string, never>>
getDestination()¶
Parameters¶
| Parameter | Type |
|---|---|
destinationId |
string |
Returns¶
Promise\<AmazonNotificationDestinationResponse>
getDestinations()¶
Returns¶
Promise\<AmazonNotificationDestinationsResponse>
getMarketplaceParticipations()¶
Parameters¶
| Parameter | Type |
|---|---|
input? |
{ signal?: AbortSignal; } |
input.signal? |
AbortSignal |
Returns¶
Promise\<AmazonMarketplaceParticipationsResponse>
getOrder()¶
Parameters¶
| Parameter | Type |
|---|---|
amazonOrderId |
string |
Returns¶
Promise\<AmazonOrderResponse\<AmazonOrder>>
getOrderBuyerInfo()¶
getOrderBuyerInfo(amazonOrderId): Promise<AmazonOrderResponse<AmazonOrder & {
BuyerInfo?: AmazonBuyerInfo;
}>>;
Parameters¶
| Parameter | Type |
|---|---|
amazonOrderId |
string |
Returns¶
Promise\<AmazonOrderResponse\<AmazonOrder & {
BuyerInfo?: AmazonBuyerInfo;
}>>
getOrderItems()¶
Parameters¶
| Parameter | Type |
|---|---|
amazonOrderId |
string |
input? |
{ nextToken?: string; } |
input.nextToken? |
string |
Returns¶
Promise\<AmazonOrderItemsResponse\<AmazonOrderItem>>
getOrderItemsBuyerInfo()¶
getOrderItemsBuyerInfo(amazonOrderId, input?): Promise<AmazonOrderItemsResponse<AmazonOrderItem & {
BuyerInfo?: AmazonBuyerInfo;
}>>;
Parameters¶
| Parameter | Type |
|---|---|
amazonOrderId |
string |
input? |
{ nextToken?: string; } |
input.nextToken? |
string |
Returns¶
Promise\<AmazonOrderItemsResponse\<AmazonOrderItem & {
BuyerInfo?: AmazonBuyerInfo;
}>>
getOrders()¶
Parameters¶
| Parameter | Type |
|---|---|
input? |
AmazonOrderSearchInput |
Returns¶
Promise\<AmazonOrdersResponse\<AmazonOrder>>
getOrderV2026()¶
Parameters¶
| Parameter | Type |
|---|---|
amazonOrderId |
string |
input? |
AmazonOrdersV2026GetInput |
Returns¶
Promise\<AmazonOrderResponse\<AmazonOrder>>
getSolicitationActionsForOrder()¶
getSolicitationActionsForOrder(amazonOrderId, marketplaceIds?): Promise<AmazonSolicitationActionsResponse>;
Parameters¶
| Parameter | Type |
|---|---|
amazonOrderId |
string |
marketplaceIds? |
string[] |
Returns¶
Promise\<AmazonSolicitationActionsResponse>
getSubscription()¶
Parameters¶
| Parameter | Type |
|---|---|
input |
AmazonGetSubscriptionInput |
Returns¶
Promise\<AmazonNotificationSubscriptionResponse>
refreshAccessToken()¶
Returns¶
Promise\<AmazonLwaTokenResponse>
searchOrdersV2026()¶
Parameters¶
| Parameter | Type |
|---|---|
input? |
AmazonOrdersV2026SearchInput |
Returns¶
Promise\<AmazonOrdersResponse\<AmazonOrder>>
AmazonMarketplaceClientOptions¶
Extended by¶
Properties¶
accessToken?¶
apiBaseUrl?¶
aws?¶
endpoint?¶
fetch?¶
Call Signature¶
Parameters¶
| Parameter | Type |
|---|---|
input |
URL | RequestInfo |
init? |
RequestInit |
Returns¶
Promise\<Response>
Call Signature¶
Parameters¶
| Parameter | Type |
|---|---|
input |
string | Request | URL |
init? |
RequestInit |
Returns¶
Promise\<Response>
lwaClientId?¶
lwaClientSecret?¶
lwaTokenUrl?¶
marketplaceId?¶
officialSdk?¶
refreshToken?¶
region?¶
restrictedDataToken?¶
restrictedDataTokenProvider?¶
optional restrictedDataTokenProvider?: (input) =>
| string
| AmazonRestrictedDataTokenResponse
| Promise<
| string
| AmazonRestrictedDataTokenResponse>;
Parameters¶
| Parameter | Type |
|---|---|
input |
AmazonRestrictedDataTokenRequest |
Returns¶
| string
| AmazonRestrictedDataTokenResponse
| Promise\<
| string
| AmazonRestrictedDataTokenResponse>
restrictedDataTokenTargetApplication?¶
userAgent?¶
AmazonMarketplaceJsonObject¶
Extended by¶
Indexable¶
AmazonMarketplaceParticipation¶
Indexable¶
Properties¶
marketplace?¶
optional marketplace?: {
countryCode?: string;
defaultCurrencyCode?: string;
defaultLanguageCode?: string;
domainName?: string;
id?: string;
name?: string;
};
countryCode?¶
defaultCurrencyCode?¶
defaultLanguageCode?¶
domainName?¶
id?¶
name?¶
participation?¶
hasSuspendedListings?¶
isParticipating?¶
AmazonMarketplaceParticipationsResponse¶
Indexable¶
Properties¶
errors?¶
payload?¶
AmazonMarketplaceProviderExtensionFields¶
Extends¶
Indexable¶
AmazonMarketplaceProviderResponse¶
Extends¶
Indexable¶
AmazonMoney¶
Properties¶
Amount?¶
CurrencyCode?¶
AmazonNotificationDestination¶
Indexable¶
Properties¶
destinationId?¶
name?¶
resource?¶
optional resource?: {
[providerField: string]: AmazonMarketplaceProviderExtensionValue;
eventBridge?: {
accountId?: string;
name?: string;
region?: string;
};
sqs?: {
arn?: string;
};
};
Index Signature¶
eventBridge?¶
eventBridge.accountId?¶
eventBridge.name?¶
eventBridge.region?¶
sqs?¶
sqs.arn?¶
AmazonNotificationDestinationResponse¶
Indexable¶
Properties¶
errors?¶
payload?¶
AmazonNotificationDestinationsResponse¶
Indexable¶
Properties¶
errors?¶
payload?¶
AmazonNotificationEnvelope¶
Properties¶
marketplaceId?¶
notificationId?¶
notificationType?¶
payload¶
rawBody¶
sellerId?¶
transport?¶
verifiedBy¶
AmazonNotificationSubscription¶
Indexable¶
Properties¶
destinationId?¶
payloadVersion?¶
processingDirective?¶
subscriptionId?¶
AmazonNotificationSubscriptionResponse¶
Indexable¶
Properties¶
errors?¶
payload?¶
AmazonOperationRequestInput¶
Properties¶
body?¶
headers?¶
pathParams?¶
query?¶
AmazonOrder¶
Indexable¶
Properties¶
AmazonOrderId?¶
BuyerInfo?¶
CbaDisplayableShippingLabel?¶
EarliestDeliveryDate?¶
EarliestShipDate?¶
EasyShipShipmentStatus?¶
FulfillmentChannel?¶
IsBusinessOrder?¶
IsGlobalExpressEnabled?¶
IsPremiumOrder?¶
IsPrime?¶
IsReplacementOrder?¶
LastUpdateDate?¶
LatestDeliveryDate?¶
LatestShipDate?¶
MarketplaceId?¶
NumberOfItemsShipped?¶
NumberOfItemsUnshipped?¶
OrderChannel?¶
OrderStatus?¶
OrderTotal?¶
OrderType?¶
PaymentMethod?¶
PaymentMethodDetails?¶
PurchaseDate?¶
ReplacedOrderId?¶
SalesChannel?¶
SellerOrderId?¶
ShipmentServiceLevelCategory?¶
ShippingAddress?¶
ShipServiceLevel?¶
AmazonOrderItem¶
Indexable¶
Properties¶
ASIN?¶
BuyerInfo?¶
ConditionId?¶
ConditionNote?¶
ConditionSubtypeId?¶
ItemPrice?¶
ItemTax?¶
OrderItemId?¶
PointsGranted?¶
PointsMonetaryValue?¶
PointsNumber?¶
ProductInfo?¶
NumberOfItems?¶
PromotionDiscount?¶
QuantityOrdered?¶
QuantityShipped?¶
SellerSKU?¶
ShippingDiscount?¶
ShippingPrice?¶
ShippingTax?¶
Title?¶
AmazonOrderItemsPayload¶
Type Parameters¶
| Type Parameter | Default type |
|---|---|
TItem extends AmazonMarketplaceProviderExtensionValue |
AmazonOrderItem |
Indexable¶
Properties¶
AmazonOrderId?¶
NextToken?¶
OrderItems?¶
AmazonOrderItemsResponse¶
Type Parameters¶
| Type Parameter | Default type |
|---|---|
TItem extends AmazonMarketplaceProviderExtensionValue |
AmazonOrderItem |
Properties¶
errors?¶
payload?¶
AmazonOrderPayload¶
Type Parameters¶
| Type Parameter | Default type |
|---|---|
TOrder extends AmazonMarketplaceProviderExtensionValue |
AmazonOrder |
Indexable¶
Properties¶
Order?¶
AmazonOrderResponse¶
Type Parameters¶
| Type Parameter | Default type |
|---|---|
TOrder extends AmazonMarketplaceProviderExtensionValue |
AmazonOrder |
Indexable¶
Properties¶
errors?¶
payload?¶
AmazonOrderSearchInput¶
Properties¶
amazonOrderIds?¶
buyerEmail?¶
createdAfter?¶
createdBefore?¶
easyShipShipmentStatuses?¶
electronicInvoiceStatuses?¶
fulfillmentChannels?¶
lastUpdatedAfter?¶
lastUpdatedBefore?¶
marketplaceIds?¶
maxResultsPerPage?¶
nextToken?¶
orderStatuses?¶
paymentMethods?¶
sellerOrderId?¶
AmazonOrdersPayload¶
Type Parameters¶
| Type Parameter | Default type |
|---|---|
TOrder extends AmazonMarketplaceProviderExtensionValue |
AmazonOrder |
Indexable¶
Properties¶
CreatedBefore?¶
LastUpdatedBefore?¶
NextToken?¶
Orders?¶
AmazonOrdersResponse¶
Extends¶
AmazonRestCollection\<TOrder>
Type Parameters¶
| Type Parameter | Default type |
|---|---|
TOrder extends AmazonMarketplaceProviderExtensionValue |
AmazonOrder |
Indexable¶
Properties¶
errors?¶
Inherited from¶
payload?¶
Overrides¶
AmazonOrdersV2026GetInput¶
Properties¶
includedData?¶
AmazonOrdersV2026SearchInput¶
Properties¶
amazonOrderIds?¶
createdAfter?¶
createdBefore?¶
fulfilledBy?¶
fulfillmentStatuses?¶
includedData?¶
lastUpdatedAfter?¶
lastUpdatedBefore?¶
marketplaceIds?¶
maxResultsPerPage?¶
paginationToken?¶
AmazonResource¶
Indexable¶
AmazonRestCollection¶
Extended by¶
Type Parameters¶
| Type Parameter | Default type |
|---|---|
TItem extends AmazonMarketplaceProviderExtensionValue |
AmazonMarketplaceJsonObject |
Indexable¶
Properties¶
errors?¶
payload?¶
optional payload?: {
[key: string]: AmazonMarketplaceProviderExtensionValue;
NextToken?: string;
OrderItems?: TItem[];
Orders?: TItem[];
};
Index Signature¶
NextToken?¶
OrderItems?¶
Orders?¶
AmazonRestrictedDataTokenRequest¶
Properties¶
restrictedResources¶
targetApplication?¶
AmazonRestrictedDataTokenResponse¶
Indexable¶
Properties¶
expiresIn?¶
restrictedDataToken?¶
AmazonRestrictedResource¶
Properties¶
dataElements?¶
method¶
path¶
AmazonSolicitationActionsResponse¶
Indexable¶
Properties¶
_embedded?¶
_links?¶
actions?¶
self?¶
self.href?¶
errors?¶
AmazonSpApiError¶
Properties¶
code?¶
details?¶
message?¶
AmazonSpApiOfficialSdk¶
Properties¶
NotificationsSpApi?¶
optional NotificationsSpApi?: {
ApiClient: AmazonSpApiOfficialApiClientConstructor;
NotificationsApi: (apiClient) => AmazonNotificationsSdkApi;
};
ApiClient¶
NotificationsApi¶
Parameters¶
| Parameter | Type |
|---|---|
apiClient |
AmazonSpApiOfficialApiClient |
Returns¶
AmazonNotificationsSdkApi
Orders_v2026SpApi?¶
optional Orders_v2026SpApi?: {
ApiClient: AmazonSpApiOfficialApiClientConstructor;
GetOrderApi: (apiClient) => AmazonOrdersV2026GetSdkApi;
SearchOrdersApi: (apiClient) => AmazonOrdersV2026SearchSdkApi;
};
ApiClient¶
GetOrderApi¶
Parameters¶
| Parameter | Type |
|---|---|
apiClient |
AmazonSpApiOfficialApiClient |
Returns¶
AmazonOrdersV2026GetSdkApi
SearchOrdersApi¶
Parameters¶
| Parameter | Type |
|---|---|
apiClient |
AmazonSpApiOfficialApiClient |
Returns¶
AmazonOrdersV2026SearchSdkApi
OrdersSpApi?¶
optional OrdersSpApi?: {
ApiClient: AmazonSpApiOfficialApiClientConstructor;
OrdersV0Api: (apiClient) => AmazonOrdersV0SdkApi;
};
ApiClient¶
OrdersV0Api¶
Parameters¶
| Parameter | Type |
|---|---|
apiClient |
AmazonSpApiOfficialApiClient |
Returns¶
AmazonOrdersV0SdkApi
SellersSpApi?¶
optional SellersSpApi?: {
ApiClient: AmazonSpApiOfficialApiClientConstructor;
SellersApi: (apiClient) => AmazonSellersSdkApi;
};
ApiClient¶
SellersApi¶
Parameters¶
| Parameter | Type |
|---|---|
apiClient |
AmazonSpApiOfficialApiClient |
Returns¶
AmazonSellersSdkApi
SolicitationsSpApi?¶
optional SolicitationsSpApi?: {
ApiClient: AmazonSpApiOfficialApiClientConstructor;
SolicitationsApi: (apiClient) => AmazonSolicitationsSdkApi;
};
ApiClient¶
SolicitationsApi¶
Parameters¶
| Parameter | Type |
|---|---|
apiClient |
AmazonSpApiOfficialApiClient |
Returns¶
AmazonSolicitationsSdkApi
TokensSpApi?¶
optional TokensSpApi?: {
ApiClient: AmazonSpApiOfficialApiClientConstructor;
TokensApi: (apiClient) => AmazonTokensSdkApi;
};
ApiClient¶
TokensApi¶
Parameters¶
| Parameter | Type |
|---|---|
apiClient |
AmazonSpApiOfficialApiClient |
Returns¶
AmazonTokensSdkApi
ParseAmazonNotificationOptions¶
Properties¶
expectedSharedSecret?¶
expectedSignatureSecret?¶
requireVerification?¶
sharedSecretHeaderName?¶
signatureHeaderName?¶
verifyNotification?¶
Parameters¶
| Parameter | Type |
|---|---|
input |
{ headers: Headers; payload: unknown; rawBody: string; } |
input.headers |
Headers |
input.payload |
unknown |
input.rawBody |
string |
Returns¶
boolean | Promise\<boolean>
Type Aliases¶
AmazonKnownOperationUid¶
AmazonMarketplaceJsonPrimitive¶
AmazonMarketplaceJsonValue¶
type AmazonMarketplaceJsonValue =
| AmazonMarketplaceJsonPrimitive
| AmazonMarketplaceJsonObject
| readonly AmazonMarketplaceJsonValue[];
AmazonMarketplaceProviderExtensionValue¶
AmazonMarketplaceProviderPayload¶
AmazonMarketplaceProviderQuery¶
AmazonOrdersIncludedData¶
type AmazonOrdersIncludedData =
| "BUYER"
| "RECIPIENT"
| "FULFILLMENT"
| "PROCEEDS"
| "EXPENSE"
| "PROMOTION"
| "TAX"
| "PAYMENT"
| "CANCELLATION"
| string & {
};
AmazonOrderStatus¶
type AmazonOrderStatus =
| "Pending"
| "Unshipped"
| "PartiallyShipped"
| "Shipped"
| "Canceled"
| "Unfulfillable"
| "InvoiceUnconfirmed"
| "PendingAvailability";
AmazonSpApiEndpoint¶
AmazonSpApiMethod¶
Variables¶
amazonMarketplaceIntegration¶
const amazonMarketplaceIntegration: DefinedIntegration<{
capabilities: {
audiences?: ("customer-facing" | "internal-support" | "mixed")[];
capability: string;
changesWorkflow?: boolean;
description?: string;
exposesSensitiveData?: boolean;
extension?: boolean;
label?: string;
metadata?: Record<string, unknown>;
providerObjects?: {
description?: string;
kind: string;
label?: string;
metadata?: Record<string, unknown>;
schemaName?: string;
}[];
requiresCredential?: boolean;
sideEffect?: boolean;
}[];
category: string;
channelAudiences: ("customer-facing" | "internal-support" | "mixed")[];
coverage: {
evidence: {
label: string;
url?: string;
}[];
notes: string[];
scope: | "support-workflow-subset"
| "provider-api-subset"
| "connector-required"
| "local-protocol"
| "full-provider-api";
};
credentialRequirements: {
description?: string;
id: string;
label?: string;
metadata?: Record<string, unknown>;
required: boolean;
scopes: string[];
}[];
directions: (
| "receive-only"
| "send-only"
| "bidirectional"
| "inbound-only"
| "outbound-only")[];
id: string;
limitations: string[];
maintainers: {
name: string;
type: "official" | "community" | "unknown" | "partner";
url?: string;
}[];
metadata?: Record<string, unknown>;
name: string;
operations: {
alias: string;
audience?: "customer-facing" | "internal-support" | "mixed";
audiences?: ("customer-facing" | "internal-support" | "mixed")[];
capability: string;
changesWorkflow?: boolean;
description?: string;
exposesSensitiveData?: boolean;
extension: boolean;
externallyVisible?: boolean;
inputSchema?: unknown;
inputSchemaName?: string;
inputSchemaRef?: string;
label?: string;
metadata?: Record<string, unknown>;
outputSchema?: unknown;
outputSchemaName?: string;
outputSchemaRef?: string;
providerObject?: string;
providerObjects?: {
description?: string;
kind: string;
label?: string;
metadata?: Record<string, unknown>;
schemaName?: string;
}[];
providerOperation?: string;
requiredPolicyIds?: string[];
requiresApproval?: boolean;
requiresCredential?: boolean;
sideEffect?: boolean;
}[];
packageName: string;
privacyNotes: string[];
provider: string;
trustLevel: "official" | "community" | "verified" | "experimental";
} & {
capabilities: readonly [{
audiences: readonly ["customer-facing", "internal-support", "mixed"];
capability: "receive";
description: "Parses SP-API notification payloads from SQS, EventBridge, or SDK-user webhooks after configured verification succeeds.";
exposesSensitiveData: true;
label: "Receive Amazon marketplace notifications";
providerObjects: readonly [{
kind: "amazonNotification";
label: "Amazon Notification";
}];
requiresCredential: true;
}, {
audiences: readonly ["customer-facing", "internal-support", "mixed"];
capability: "read-provider-object";
description: "Reads seller orders, order items, buyer information where authorized, solicitation metadata, seller participation, and notification configuration.";
exposesSensitiveData: true;
label: "Read Amazon marketplace records";
providerObjects: readonly [{
kind: "amazonOrder";
label: "Amazon Order";
}, {
kind: "amazonOrderItem";
label: "Amazon Order Item";
}, {
kind: "amazonBuyerInfo";
label: "Amazon Buyer Info";
}, {
kind: "amazonSolicitation";
label: "Amazon Solicitation";
}, {
kind: "amazonSellerAccount";
label: "Amazon Seller Account";
}];
requiresCredential: true;
}, {
audiences: readonly ["internal-support", "mixed"];
capability: "search-provider-object";
description: "Searches orders and notification resources with SDK-user-supplied marketplace, date, status, and pagination filters.";
exposesSensitiveData: true;
label: "Search Amazon marketplace records";
providerObjects: readonly [{
kind: "amazonOrder";
label: "Amazon Order";
}, {
kind: "amazonNotificationSubscription";
label: "Amazon Notification Subscription";
}];
requiresCredential: true;
}, {
audiences: readonly ["customer-facing", "internal-support", "mixed"];
capability: "create-provider-object";
changesWorkflow: true;
description: "Creates review/feedback solicitations and notification subscriptions only when the SDK user's marketplace policy allows outbound actions.";
exposesSensitiveData: true;
label: "Create Amazon support actions";
providerObjects: readonly [{
kind: "amazonSolicitation";
label: "Amazon Solicitation";
}, {
kind: "amazonNotificationSubscription";
label: "Amazon Notification Subscription";
}];
requiresCredential: true;
sideEffect: true;
}, {
audiences: readonly ["internal-support", "mixed"];
capability: "delete-provider-object";
changesWorkflow: true;
description: "Deletes Amazon notification subscriptions only when the SDK user's marketplace policy allows subscription lifecycle changes.";
exposesSensitiveData: true;
label: "Delete Amazon support resources";
providerObjects: readonly [{
kind: "amazonNotificationSubscription";
label: "Amazon Notification Subscription";
}];
requiresCredential: true;
sideEffect: true;
}, {
audiences: readonly ["customer-facing", "mixed"];
capability: "send";
description: "Sends supported Solicitations API review/feedback requests chosen by the SDK user's workflow.";
exposesSensitiveData: true;
label: "Send Amazon buyer solicitations";
providerObjects: readonly [{
kind: "amazonSolicitation";
label: "Amazon Solicitation";
}];
requiresCredential: true;
sideEffect: true;
}, {
audiences: readonly ["internal-support"];
capability: "marketplace.notification-signature";
description: "Requires a SDK-user verifier, shared secret, or gateway signature policy before returning normalized Amazon notification payloads.";
exposesSensitiveData: true;
extension: true;
label: "Validate Amazon notification ingress";
providerObjects: readonly [{
kind: "amazonVerifiedNotification";
label: "Amazon Verified Notification";
}];
requiresCredential: true;
}, {
audiences: readonly ["internal-support"];
capability: "marketplace.sigv4";
description: "Optionally signs SP-API REST requests with AWS SigV4 for SDK users that operate signed gateways or explicit authorization paths.";
extension: true;
label: "Sign Amazon SP-API requests";
providerObjects: readonly [{
kind: "amazonSignedRequest";
label: "Amazon Signed Request";
}];
requiresCredential: true;
}];
category: "marketplace";
channelAudiences: readonly ["customer-facing", "internal-support", "mixed"];
coverage: {
evidence: readonly [{
label: "Amazon official SP-API JavaScript SDK";
url: "https://github.com/amzn/selling-partner-api-sdk";
}, {
label: "Amazon prebuilt JavaScript SDK tutorial";
url: "https://developer-docs.amazon.com/sp-api/docs/automate-your-sp-api-calls-using-a-prebuilt-javascript-sdk";
}, {
label: "Amazon SP-API Orders v0 reference";
url: "https://developer-docs.amazon.com/sp-api/reference/orders-v0";
}, {
label: "Amazon SP-API Orders v2026-01-01 reference";
url: "https://developer-docs.amazon.com/sp-api/reference/orders-v2026-01-01";
}, {
label: "Amazon SP-API Restricted Data Token";
url: "https://developer-docs.amazon.com/sp-api/reference/createrestricteddatatoken";
}, {
label: "Amazon SP-API Notifications API";
url: "https://developer-docs.amazon.com/sp-api/docs/notifications-api";
}];
notes: readonly ["Coverage is limited to Cognidesk marketplace support primitives, not full Amazon SP-API ownership.", "The official Amazon JavaScript SDK is the preferred raw-client escape hatch, but this package keeps local helpers for RDT and normalized support operations because the SDK README notes RDT requires an extra step.", "Manifest/runtime exports do not expose Cognidesk-generated full-provider SP-API clones.", "Orders v0 remains available for existing SDK callers while Amazon's removal window remains relevant; v2026 order helpers are exposed for migration flows."];
scope: "support-workflow-subset";
};
credentialRequirements: readonly [{
description: "Login with Amazon client ID and secret owned by the SDK user for SP-API token refresh.";
id: "amazon-lwa-client";
label: "Amazon LWA client credentials";
required: true;
}, {
description: "Seller-authorized refresh/access token for role-gated SP-API calls, or grantless token material for Notifications API operations.";
id: "amazon-lwa-token";
label: "Amazon LWA refresh or access token";
required: true;
}, {
description: "Optional IAM role/region and SigV4 material for SDK users who operate through signed gateway paths.";
id: "amazon-aws-role-region";
label: "Amazon SP-API AWS role and region";
required: false;
}, {
description: "SDK-user-selected Amazon marketplace such as ATVPDKIKX0DER or A1PA6795UKMFR9.";
id: "amazon-marketplace-id";
label: "Amazon marketplace ID";
required: true;
}, {
description: "Notifications API destination, SQS/EventBridge routing, and SDK-user webhook gateway metadata.";
id: "amazon-notification-destination";
label: "Amazon notification destination";
required: true;
}, {
description: "SDK-user-provided verifier, shared secret, or gateway signature policy for fail-closed notification ingestion.";
id: "amazon-notification-signature";
label: "Amazon notification verification";
required: true;
}];
directions: readonly ["receive-only", "send-only", "bidirectional"];
id: "marketplace.amazon";
limitations: readonly ["The SDK user chooses marketplaces, roles, restricted-data-token policy, notification topics, outbound solicitation rules, operator visibility, retention, consent, and redaction.", "Some SP-API operations require role approval, restricted data tokens, marketplace availability, or grantless authorization; this package exposes typed support foundations and does not decide seller eligibility.", "Amazon notification transports vary by destination; this package fails closed unless the SDK user configures a verifier, gateway signature, or shared-secret check appropriate to their ingress path."];
maintainers: readonly [{
name: "Cognidesk";
type: "official";
}];
metadata: {
channelCoverage: {
buyerInfoRdt: "typed-read-restricted";
lwaTokenRefresh: "typed-token-refresh";
notificationDestinations: "typed-read";
notificationIngress: "typed-verify-parse";
notificationSubscriptions: "typed-create-read-delete";
orderItems: "typed-read";
ordersV0: "typed-read-search";
ordersV2026: "typed-read-search";
rawSellingPartnerApi: "official-sdk-escape-hatch";
restrictedDataTokens: "typed-create";
sellerParticipation: "typed-read";
sigv4Signing: "typed-sign";
solicitations: "typed-read-create-send";
};
implementation: {
caveats: readonly ["The npm package has no root types metadata; this package uses a local typed facade for raw SDK loading.", "RDT support remains local because the SDK README says some APIs need an extra RDT step."];
sdkModifiedAt: "2026-05-29T13:03:51.597Z";
sdkPackage: "@amazon-sp-api-release/amazon-sp-api-sdk-js";
sdkRepository: "https://github.com/amzn/selling-partner-api-sdk";
sdkVersionChecked: "1.9.0";
strategy: "official-sdk-plus-support-slice";
};
supportSlice: {
allowlist: (
| "amazon.refreshAccessToken"
| "amazon.createRestrictedDataToken"
| "amazon.getOrders"
| "amazon.getOrder"
| "amazon.getOrderBuyerInfo"
| "amazon.getOrderItems"
| "amazon.getOrderItemsBuyerInfo"
| "amazon.searchOrdersV2026"
| "amazon.getOrderV2026"
| "amazon.getSolicitationActionsForOrder"
| "amazon.createProductReviewAndSellerFeedbackSolicitation"
| "amazon.getMarketplaceParticipations"
| "amazon.getDestinations"
| "amazon.getDestination"
| "amazon.createSubscription"
| "amazon.getSubscription"
| "amazon.deleteSubscription"
| "amazon.parseNotificationWebhook")[];
source: "local-reviewed-support-operations";
verifiedAt: "2026-06-21";
};
};
name: "Amazon Marketplace";
operations: readonly [{
alias: "amazon.refreshAccessToken";
capability: "read-provider-object";
extension: true;
label: "Refresh Amazon LWA access token";
providerOperation: "lwa.refreshAccessToken";
requiresCredential: true;
}, {
alias: "amazon.createRestrictedDataToken";
capability: "create-provider-object";
exposesSensitiveData: true;
extension: true;
label: "Create Amazon restricted data token";
providerOperation: "tokens.createRestrictedDataToken";
requiresCredential: true;
}, {
alias: "amazon.getOrders";
capability: "search-provider-object";
exposesSensitiveData: true;
extension: true;
label: "Search Amazon orders";
providerOperation: "ordersV0.getOrders";
requiresCredential: true;
}, {
alias: "amazon.getOrder";
capability: "read-provider-object";
exposesSensitiveData: true;
extension: true;
label: "Read Amazon order";
providerOperation: "ordersV0.getOrder";
requiresCredential: true;
}, {
alias: "amazon.getOrderBuyerInfo";
capability: "read-provider-object";
exposesSensitiveData: true;
extension: true;
label: "Read Amazon order buyer info";
providerOperation: "ordersV0.getOrderBuyerInfo";
requiresCredential: true;
}, {
alias: "amazon.getOrderItems";
capability: "read-provider-object";
exposesSensitiveData: true;
extension: true;
label: "Read Amazon order items";
providerOperation: "ordersV0.getOrderItems";
requiresCredential: true;
}, {
alias: "amazon.getOrderItemsBuyerInfo";
capability: "read-provider-object";
exposesSensitiveData: true;
extension: true;
label: "Read Amazon order item buyer info";
providerOperation: "ordersV0.getOrderItemsBuyerInfo";
requiresCredential: true;
}, {
alias: "amazon.searchOrdersV2026";
capability: "search-provider-object";
exposesSensitiveData: true;
extension: true;
label: "Search Amazon Orders v2026";
providerOperation: "ordersV2026.searchOrders";
requiresCredential: true;
}, {
alias: "amazon.getOrderV2026";
capability: "read-provider-object";
exposesSensitiveData: true;
extension: true;
label: "Read Amazon Orders v2026 order";
providerOperation: "ordersV2026.getOrder";
requiresCredential: true;
}, {
alias: "amazon.getSolicitationActionsForOrder";
capability: "read-provider-object";
extension: true;
label: "Read Amazon solicitation actions";
providerOperation: "solicitations.getActionsForOrder";
requiresCredential: true;
}, {
alias: "amazon.createProductReviewAndSellerFeedbackSolicitation";
capability: "send";
changesWorkflow: true;
extension: true;
label: "Create Amazon review and seller feedback solicitation";
providerOperation: "solicitations.createProductReviewAndSellerFeedback";
requiresCredential: true;
sideEffect: true;
}, {
alias: "amazon.getMarketplaceParticipations";
capability: "read-provider-object";
extension: true;
label: "Read Amazon marketplace participations";
providerOperation: "sellers.getMarketplaceParticipations";
requiresCredential: true;
}, {
alias: "amazon.getDestinations";
capability: "search-provider-object";
extension: true;
label: "List Amazon notification destinations";
providerOperation: "notifications.getDestinations";
requiresCredential: true;
}, {
alias: "amazon.getDestination";
capability: "read-provider-object";
extension: true;
label: "Read Amazon notification destination";
providerOperation: "notifications.getDestination";
requiresCredential: true;
}, {
alias: "amazon.createSubscription";
capability: "create-provider-object";
changesWorkflow: true;
extension: true;
label: "Create Amazon notification subscription";
providerOperation: "notifications.createSubscription";
requiresCredential: true;
sideEffect: true;
}, {
alias: "amazon.getSubscription";
capability: "read-provider-object";
extension: true;
label: "Read Amazon notification subscription";
providerOperation: "notifications.getSubscription";
requiresCredential: true;
}, {
alias: "amazon.deleteSubscription";
capability: "delete-provider-object";
changesWorkflow: true;
extension: true;
label: "Delete Amazon notification subscription";
providerOperation: "notifications.deleteSubscription";
requiresCredential: true;
sideEffect: true;
}, {
alias: "amazon.parseNotificationWebhook";
capability: "receive";
exposesSensitiveData: true;
extension: true;
label: "Parse Amazon notification webhook";
providerOperation: "notifications.parseWebhook";
requiresCredential: true;
}];
packageName: "@cognidesk/integration-marketplace-amazon";
privacyNotes: readonly ["Amazon marketplace orders, order items, buyer information, seller account records, solicitations, and notifications can contain customer data, addresses, identifiers, and support context.", "LWA secrets, refresh tokens, access tokens, AWS role/signing material, notification shared secrets, and verifier logic stay server-side; Studio receives only readiness and capability metadata."];
provider: "amazon";
trustLevel: "official";
}, unknown, AmazonMarketplaceOperations>;
createAmazonIntegration¶
createAmazonIntegrationOperationHandlers¶
const createAmazonIntegrationOperationHandlers: typeof createAmazonMarketplaceIntegrationOperationHandlers;
Functions¶
amazonMarketplaceCredentialStatuses()¶
function amazonMarketplaceCredentialStatuses(input): {
expiresAt?: string;
message?: string;
providerPackageId?: string;
requirementId: string;
scopes?: string[];
state: | "required"
| "configured"
| "permission-blocked"
| "not-required"
| "missing"
| "expired"
| "insufficient-scope"
| "unavailable";
}[];
Parameters¶
| Parameter | Type |
|---|---|
input |
AmazonCredentialStatusInput |
Returns¶
{
expiresAt?: string;
message?: string;
providerPackageId?: string;
requirementId: string;
scopes?: string[];
state: | "required"
| "configured"
| "permission-blocked"
| "not-required"
| "missing"
| "expired"
| "insufficient-scope"
| "unavailable";
}[]
createAmazonMarketplaceClient()¶
Parameters¶
| Parameter | Type |
|---|---|
options |
AmazonMarketplaceClientOptions |
Returns¶
createAmazonMarketplaceIntegration()¶
function createAmazonMarketplaceIntegration(options?): DefinedIntegration<{
capabilities: {
audiences?: ("customer-facing" | "internal-support" | "mixed")[];
capability: string;
changesWorkflow?: boolean;
description?: string;
exposesSensitiveData?: boolean;
extension?: boolean;
label?: string;
metadata?: Record<string, unknown>;
providerObjects?: {
description?: string;
kind: string;
label?: string;
metadata?: Record<string, unknown>;
schemaName?: string;
}[];
requiresCredential?: boolean;
sideEffect?: boolean;
}[];
category: string;
channelAudiences: ("customer-facing" | "internal-support" | "mixed")[];
coverage: {
evidence: {
label: string;
url?: string;
}[];
notes: string[];
scope: | "support-workflow-subset"
| "provider-api-subset"
| "connector-required"
| "local-protocol"
| "full-provider-api";
};
credentialRequirements: {
description?: string;
id: string;
label?: string;
metadata?: Record<string, unknown>;
required: boolean;
scopes: string[];
}[];
directions: (
| "receive-only"
| "send-only"
| "inbound-only"
| "outbound-only"
| "bidirectional")[];
id: string;
limitations: string[];
maintainers: {
name: string;
type: "community" | "official" | "unknown" | "partner";
url?: string;
}[];
metadata?: Record<string, unknown>;
name: string;
operations: {
alias: string;
audience?: "customer-facing" | "internal-support" | "mixed";
audiences?: ("customer-facing" | "internal-support" | "mixed")[];
capability: string;
changesWorkflow?: boolean;
description?: string;
exposesSensitiveData?: boolean;
extension: boolean;
externallyVisible?: boolean;
inputSchema?: unknown;
inputSchemaName?: string;
inputSchemaRef?: string;
label?: string;
metadata?: Record<string, unknown>;
outputSchema?: unknown;
outputSchemaName?: string;
outputSchemaRef?: string;
providerObject?: string;
providerObjects?: {
description?: string;
kind: string;
label?: string;
metadata?: Record<string, unknown>;
schemaName?: string;
}[];
providerOperation?: string;
requiredPolicyIds?: string[];
requiresApproval?: boolean;
requiresCredential?: boolean;
sideEffect?: boolean;
}[];
packageName: string;
privacyNotes: string[];
provider: string;
trustLevel: "community" | "official" | "verified" | "experimental";
} & {
capabilities: readonly [{
audiences: readonly ["customer-facing", "internal-support", "mixed"];
capability: "receive";
description: "Parses SP-API notification payloads from SQS, EventBridge, or SDK-user webhooks after configured verification succeeds.";
exposesSensitiveData: true;
label: "Receive Amazon marketplace notifications";
providerObjects: readonly [{
kind: "amazonNotification";
label: "Amazon Notification";
}];
requiresCredential: true;
}, {
audiences: readonly ["customer-facing", "internal-support", "mixed"];
capability: "read-provider-object";
description: "Reads seller orders, order items, buyer information where authorized, solicitation metadata, seller participation, and notification configuration.";
exposesSensitiveData: true;
label: "Read Amazon marketplace records";
providerObjects: readonly [{
kind: "amazonOrder";
label: "Amazon Order";
}, {
kind: "amazonOrderItem";
label: "Amazon Order Item";
}, {
kind: "amazonBuyerInfo";
label: "Amazon Buyer Info";
}, {
kind: "amazonSolicitation";
label: "Amazon Solicitation";
}, {
kind: "amazonSellerAccount";
label: "Amazon Seller Account";
}];
requiresCredential: true;
}, {
audiences: readonly ["internal-support", "mixed"];
capability: "search-provider-object";
description: "Searches orders and notification resources with SDK-user-supplied marketplace, date, status, and pagination filters.";
exposesSensitiveData: true;
label: "Search Amazon marketplace records";
providerObjects: readonly [{
kind: "amazonOrder";
label: "Amazon Order";
}, {
kind: "amazonNotificationSubscription";
label: "Amazon Notification Subscription";
}];
requiresCredential: true;
}, {
audiences: readonly ["customer-facing", "internal-support", "mixed"];
capability: "create-provider-object";
changesWorkflow: true;
description: "Creates review/feedback solicitations and notification subscriptions only when the SDK user's marketplace policy allows outbound actions.";
exposesSensitiveData: true;
label: "Create Amazon support actions";
providerObjects: readonly [{
kind: "amazonSolicitation";
label: "Amazon Solicitation";
}, {
kind: "amazonNotificationSubscription";
label: "Amazon Notification Subscription";
}];
requiresCredential: true;
sideEffect: true;
}, {
audiences: readonly ["internal-support", "mixed"];
capability: "delete-provider-object";
changesWorkflow: true;
description: "Deletes Amazon notification subscriptions only when the SDK user's marketplace policy allows subscription lifecycle changes.";
exposesSensitiveData: true;
label: "Delete Amazon support resources";
providerObjects: readonly [{
kind: "amazonNotificationSubscription";
label: "Amazon Notification Subscription";
}];
requiresCredential: true;
sideEffect: true;
}, {
audiences: readonly ["customer-facing", "mixed"];
capability: "send";
description: "Sends supported Solicitations API review/feedback requests chosen by the SDK user's workflow.";
exposesSensitiveData: true;
label: "Send Amazon buyer solicitations";
providerObjects: readonly [{
kind: "amazonSolicitation";
label: "Amazon Solicitation";
}];
requiresCredential: true;
sideEffect: true;
}, {
audiences: readonly ["internal-support"];
capability: "marketplace.notification-signature";
description: "Requires a SDK-user verifier, shared secret, or gateway signature policy before returning normalized Amazon notification payloads.";
exposesSensitiveData: true;
extension: true;
label: "Validate Amazon notification ingress";
providerObjects: readonly [{
kind: "amazonVerifiedNotification";
label: "Amazon Verified Notification";
}];
requiresCredential: true;
}, {
audiences: readonly ["internal-support"];
capability: "marketplace.sigv4";
description: "Optionally signs SP-API REST requests with AWS SigV4 for SDK users that operate signed gateways or explicit authorization paths.";
extension: true;
label: "Sign Amazon SP-API requests";
providerObjects: readonly [{
kind: "amazonSignedRequest";
label: "Amazon Signed Request";
}];
requiresCredential: true;
}];
category: "marketplace";
channelAudiences: readonly ["customer-facing", "internal-support", "mixed"];
coverage: {
evidence: readonly [{
label: "Amazon official SP-API JavaScript SDK";
url: "https://github.com/amzn/selling-partner-api-sdk";
}, {
label: "Amazon prebuilt JavaScript SDK tutorial";
url: "https://developer-docs.amazon.com/sp-api/docs/automate-your-sp-api-calls-using-a-prebuilt-javascript-sdk";
}, {
label: "Amazon SP-API Orders v0 reference";
url: "https://developer-docs.amazon.com/sp-api/reference/orders-v0";
}, {
label: "Amazon SP-API Orders v2026-01-01 reference";
url: "https://developer-docs.amazon.com/sp-api/reference/orders-v2026-01-01";
}, {
label: "Amazon SP-API Restricted Data Token";
url: "https://developer-docs.amazon.com/sp-api/reference/createrestricteddatatoken";
}, {
label: "Amazon SP-API Notifications API";
url: "https://developer-docs.amazon.com/sp-api/docs/notifications-api";
}];
notes: readonly ["Coverage is limited to Cognidesk marketplace support primitives, not full Amazon SP-API ownership.", "The official Amazon JavaScript SDK is the preferred raw-client escape hatch, but this package keeps local helpers for RDT and normalized support operations because the SDK README notes RDT requires an extra step.", "Manifest/runtime exports do not expose Cognidesk-generated full-provider SP-API clones.", "Orders v0 remains available for existing SDK callers while Amazon's removal window remains relevant; v2026 order helpers are exposed for migration flows."];
scope: "support-workflow-subset";
};
credentialRequirements: readonly [{
description: "Login with Amazon client ID and secret owned by the SDK user for SP-API token refresh.";
id: "amazon-lwa-client";
label: "Amazon LWA client credentials";
required: true;
}, {
description: "Seller-authorized refresh/access token for role-gated SP-API calls, or grantless token material for Notifications API operations.";
id: "amazon-lwa-token";
label: "Amazon LWA refresh or access token";
required: true;
}, {
description: "Optional IAM role/region and SigV4 material for SDK users who operate through signed gateway paths.";
id: "amazon-aws-role-region";
label: "Amazon SP-API AWS role and region";
required: false;
}, {
description: "SDK-user-selected Amazon marketplace such as ATVPDKIKX0DER or A1PA6795UKMFR9.";
id: "amazon-marketplace-id";
label: "Amazon marketplace ID";
required: true;
}, {
description: "Notifications API destination, SQS/EventBridge routing, and SDK-user webhook gateway metadata.";
id: "amazon-notification-destination";
label: "Amazon notification destination";
required: true;
}, {
description: "SDK-user-provided verifier, shared secret, or gateway signature policy for fail-closed notification ingestion.";
id: "amazon-notification-signature";
label: "Amazon notification verification";
required: true;
}];
directions: readonly ["receive-only", "send-only", "bidirectional"];
id: "marketplace.amazon";
limitations: readonly ["The SDK user chooses marketplaces, roles, restricted-data-token policy, notification topics, outbound solicitation rules, operator visibility, retention, consent, and redaction.", "Some SP-API operations require role approval, restricted data tokens, marketplace availability, or grantless authorization; this package exposes typed support foundations and does not decide seller eligibility.", "Amazon notification transports vary by destination; this package fails closed unless the SDK user configures a verifier, gateway signature, or shared-secret check appropriate to their ingress path."];
maintainers: readonly [{
name: "Cognidesk";
type: "official";
}];
metadata: {
channelCoverage: {
buyerInfoRdt: "typed-read-restricted";
lwaTokenRefresh: "typed-token-refresh";
notificationDestinations: "typed-read";
notificationIngress: "typed-verify-parse";
notificationSubscriptions: "typed-create-read-delete";
orderItems: "typed-read";
ordersV0: "typed-read-search";
ordersV2026: "typed-read-search";
rawSellingPartnerApi: "official-sdk-escape-hatch";
restrictedDataTokens: "typed-create";
sellerParticipation: "typed-read";
sigv4Signing: "typed-sign";
solicitations: "typed-read-create-send";
};
implementation: {
caveats: readonly ["The npm package has no root types metadata; this package uses a local typed facade for raw SDK loading.", "RDT support remains local because the SDK README says some APIs need an extra RDT step."];
sdkModifiedAt: "2026-05-29T13:03:51.597Z";
sdkPackage: "@amazon-sp-api-release/amazon-sp-api-sdk-js";
sdkRepository: "https://github.com/amzn/selling-partner-api-sdk";
sdkVersionChecked: "1.9.0";
strategy: "official-sdk-plus-support-slice";
};
supportSlice: {
allowlist: (
| "amazon.refreshAccessToken"
| "amazon.createRestrictedDataToken"
| "amazon.getOrders"
| "amazon.getOrder"
| "amazon.getOrderBuyerInfo"
| "amazon.getOrderItems"
| "amazon.getOrderItemsBuyerInfo"
| "amazon.searchOrdersV2026"
| "amazon.getOrderV2026"
| "amazon.getSolicitationActionsForOrder"
| "amazon.createProductReviewAndSellerFeedbackSolicitation"
| "amazon.getMarketplaceParticipations"
| "amazon.getDestinations"
| "amazon.getDestination"
| "amazon.createSubscription"
| "amazon.getSubscription"
| "amazon.deleteSubscription"
| "amazon.parseNotificationWebhook")[];
source: "local-reviewed-support-operations";
verifiedAt: "2026-06-21";
};
};
name: "Amazon Marketplace";
operations: readonly [{
alias: "amazon.refreshAccessToken";
capability: "read-provider-object";
extension: true;
label: "Refresh Amazon LWA access token";
providerOperation: "lwa.refreshAccessToken";
requiresCredential: true;
}, {
alias: "amazon.createRestrictedDataToken";
capability: "create-provider-object";
exposesSensitiveData: true;
extension: true;
label: "Create Amazon restricted data token";
providerOperation: "tokens.createRestrictedDataToken";
requiresCredential: true;
}, {
alias: "amazon.getOrders";
capability: "search-provider-object";
exposesSensitiveData: true;
extension: true;
label: "Search Amazon orders";
providerOperation: "ordersV0.getOrders";
requiresCredential: true;
}, {
alias: "amazon.getOrder";
capability: "read-provider-object";
exposesSensitiveData: true;
extension: true;
label: "Read Amazon order";
providerOperation: "ordersV0.getOrder";
requiresCredential: true;
}, {
alias: "amazon.getOrderBuyerInfo";
capability: "read-provider-object";
exposesSensitiveData: true;
extension: true;
label: "Read Amazon order buyer info";
providerOperation: "ordersV0.getOrderBuyerInfo";
requiresCredential: true;
}, {
alias: "amazon.getOrderItems";
capability: "read-provider-object";
exposesSensitiveData: true;
extension: true;
label: "Read Amazon order items";
providerOperation: "ordersV0.getOrderItems";
requiresCredential: true;
}, {
alias: "amazon.getOrderItemsBuyerInfo";
capability: "read-provider-object";
exposesSensitiveData: true;
extension: true;
label: "Read Amazon order item buyer info";
providerOperation: "ordersV0.getOrderItemsBuyerInfo";
requiresCredential: true;
}, {
alias: "amazon.searchOrdersV2026";
capability: "search-provider-object";
exposesSensitiveData: true;
extension: true;
label: "Search Amazon Orders v2026";
providerOperation: "ordersV2026.searchOrders";
requiresCredential: true;
}, {
alias: "amazon.getOrderV2026";
capability: "read-provider-object";
exposesSensitiveData: true;
extension: true;
label: "Read Amazon Orders v2026 order";
providerOperation: "ordersV2026.getOrder";
requiresCredential: true;
}, {
alias: "amazon.getSolicitationActionsForOrder";
capability: "read-provider-object";
extension: true;
label: "Read Amazon solicitation actions";
providerOperation: "solicitations.getActionsForOrder";
requiresCredential: true;
}, {
alias: "amazon.createProductReviewAndSellerFeedbackSolicitation";
capability: "send";
changesWorkflow: true;
extension: true;
label: "Create Amazon review and seller feedback solicitation";
providerOperation: "solicitations.createProductReviewAndSellerFeedback";
requiresCredential: true;
sideEffect: true;
}, {
alias: "amazon.getMarketplaceParticipations";
capability: "read-provider-object";
extension: true;
label: "Read Amazon marketplace participations";
providerOperation: "sellers.getMarketplaceParticipations";
requiresCredential: true;
}, {
alias: "amazon.getDestinations";
capability: "search-provider-object";
extension: true;
label: "List Amazon notification destinations";
providerOperation: "notifications.getDestinations";
requiresCredential: true;
}, {
alias: "amazon.getDestination";
capability: "read-provider-object";
extension: true;
label: "Read Amazon notification destination";
providerOperation: "notifications.getDestination";
requiresCredential: true;
}, {
alias: "amazon.createSubscription";
capability: "create-provider-object";
changesWorkflow: true;
extension: true;
label: "Create Amazon notification subscription";
providerOperation: "notifications.createSubscription";
requiresCredential: true;
sideEffect: true;
}, {
alias: "amazon.getSubscription";
capability: "read-provider-object";
extension: true;
label: "Read Amazon notification subscription";
providerOperation: "notifications.getSubscription";
requiresCredential: true;
}, {
alias: "amazon.deleteSubscription";
capability: "delete-provider-object";
changesWorkflow: true;
extension: true;
label: "Delete Amazon notification subscription";
providerOperation: "notifications.deleteSubscription";
requiresCredential: true;
sideEffect: true;
}, {
alias: "amazon.parseNotificationWebhook";
capability: "receive";
exposesSensitiveData: true;
extension: true;
label: "Parse Amazon notification webhook";
providerOperation: "notifications.parseWebhook";
requiresCredential: true;
}];
packageName: "@cognidesk/integration-marketplace-amazon";
privacyNotes: readonly ["Amazon marketplace orders, order items, buyer information, seller account records, solicitations, and notifications can contain customer data, addresses, identifiers, and support context.", "LWA secrets, refresh tokens, access tokens, AWS role/signing material, notification shared secrets, and verifier logic stay server-side; Studio receives only readiness and capability metadata."];
provider: "amazon";
trustLevel: "official";
}, unknown, AmazonMarketplaceOperations>;
Parameters¶
| Parameter | Type |
|---|---|
options? |
AmazonMarketplaceIntegrationOptions |
Returns¶
DefinedIntegration\<{
capabilities: {
audiences?: ("customer-facing" | "internal-support" | "mixed")[];
capability: string;
changesWorkflow?: boolean;
description?: string;
exposesSensitiveData?: boolean;
extension?: boolean;
label?: string;
metadata?: Record\<string, unknown>;
providerObjects?: {
description?: string;
kind: string;
label?: string;
metadata?: Record\<string, unknown>;
schemaName?: string;
}[];
requiresCredential?: boolean;
sideEffect?: boolean;
}[];
category: string;
channelAudiences: ("customer-facing" | "internal-support" | "mixed")[];
coverage: {
evidence: {
label: string;
url?: string;
}[];
notes: string[];
scope: | "support-workflow-subset"
| "provider-api-subset"
| "connector-required"
| "local-protocol"
| "full-provider-api";
};
credentialRequirements: {
description?: string;
id: string;
label?: string;
metadata?: Record\<string, unknown>;
required: boolean;
scopes: string[];
}[];
directions: (
| "receive-only"
| "send-only"
| "inbound-only"
| "outbound-only"
| "bidirectional")[];
id: string;
limitations: string[];
maintainers: {
name: string;
type: "community" | "official" | "unknown" | "partner";
url?: string;
}[];
metadata?: Record\<string, unknown>;
name: string;
operations: {
alias: string;
audience?: "customer-facing" | "internal-support" | "mixed";
audiences?: ("customer-facing" | "internal-support" | "mixed")[];
capability: string;
changesWorkflow?: boolean;
description?: string;
exposesSensitiveData?: boolean;
extension: boolean;
externallyVisible?: boolean;
inputSchema?: unknown;
inputSchemaName?: string;
inputSchemaRef?: string;
label?: string;
metadata?: Record\<string, unknown>;
outputSchema?: unknown;
outputSchemaName?: string;
outputSchemaRef?: string;
providerObject?: string;
providerObjects?: {
description?: string;
kind: string;
label?: string;
metadata?: Record\<string, unknown>;
schemaName?: string;
}[];
providerOperation?: string;
requiredPolicyIds?: string[];
requiresApproval?: boolean;
requiresCredential?: boolean;
sideEffect?: boolean;
}[];
packageName: string;
privacyNotes: string[];
provider: string;
trustLevel: "community" | "official" | "verified" | "experimental";
} & {
capabilities: readonly [{
audiences: readonly ["customer-facing", "internal-support", "mixed"];
capability: "receive";
description: "Parses SP-API notification payloads from SQS, EventBridge, or SDK-user webhooks after configured verification succeeds.";
exposesSensitiveData: true;
label: "Receive Amazon marketplace notifications";
providerObjects: readonly [{
kind: "amazonNotification";
label: "Amazon Notification";
}];
requiresCredential: true;
}, {
audiences: readonly ["customer-facing", "internal-support", "mixed"];
capability: "read-provider-object";
description: "Reads seller orders, order items, buyer information where authorized, solicitation metadata, seller participation, and notification configuration.";
exposesSensitiveData: true;
label: "Read Amazon marketplace records";
providerObjects: readonly [{
kind: "amazonOrder";
label: "Amazon Order";
}, {
kind: "amazonOrderItem";
label: "Amazon Order Item";
}, {
kind: "amazonBuyerInfo";
label: "Amazon Buyer Info";
}, {
kind: "amazonSolicitation";
label: "Amazon Solicitation";
}, {
kind: "amazonSellerAccount";
label: "Amazon Seller Account";
}];
requiresCredential: true;
}, {
audiences: readonly ["internal-support", "mixed"];
capability: "search-provider-object";
description: "Searches orders and notification resources with SDK-user-supplied marketplace, date, status, and pagination filters.";
exposesSensitiveData: true;
label: "Search Amazon marketplace records";
providerObjects: readonly [{
kind: "amazonOrder";
label: "Amazon Order";
}, {
kind: "amazonNotificationSubscription";
label: "Amazon Notification Subscription";
}];
requiresCredential: true;
}, {
audiences: readonly ["customer-facing", "internal-support", "mixed"];
capability: "create-provider-object";
changesWorkflow: true;
description: "Creates review/feedback solicitations and notification subscriptions only when the SDK user's marketplace policy allows outbound actions.";
exposesSensitiveData: true;
label: "Create Amazon support actions";
providerObjects: readonly [{
kind: "amazonSolicitation";
label: "Amazon Solicitation";
}, {
kind: "amazonNotificationSubscription";
label: "Amazon Notification Subscription";
}];
requiresCredential: true;
sideEffect: true;
}, {
audiences: readonly ["internal-support", "mixed"];
capability: "delete-provider-object";
changesWorkflow: true;
description: "Deletes Amazon notification subscriptions only when the SDK user's marketplace policy allows subscription lifecycle changes.";
exposesSensitiveData: true;
label: "Delete Amazon support resources";
providerObjects: readonly [{
kind: "amazonNotificationSubscription";
label: "Amazon Notification Subscription";
}];
requiresCredential: true;
sideEffect: true;
}, {
audiences: readonly ["customer-facing", "mixed"];
capability: "send";
description: "Sends supported Solicitations API review/feedback requests chosen by the SDK user's workflow.";
exposesSensitiveData: true;
label: "Send Amazon buyer solicitations";
providerObjects: readonly [{
kind: "amazonSolicitation";
label: "Amazon Solicitation";
}];
requiresCredential: true;
sideEffect: true;
}, {
audiences: readonly ["internal-support"];
capability: "marketplace.notification-signature";
description: "Requires a SDK-user verifier, shared secret, or gateway signature policy before returning normalized Amazon notification payloads.";
exposesSensitiveData: true;
extension: true;
label: "Validate Amazon notification ingress";
providerObjects: readonly [{
kind: "amazonVerifiedNotification";
label: "Amazon Verified Notification";
}];
requiresCredential: true;
}, {
audiences: readonly ["internal-support"];
capability: "marketplace.sigv4";
description: "Optionally signs SP-API REST requests with AWS SigV4 for SDK users that operate signed gateways or explicit authorization paths.";
extension: true;
label: "Sign Amazon SP-API requests";
providerObjects: readonly [{
kind: "amazonSignedRequest";
label: "Amazon Signed Request";
}];
requiresCredential: true;
}];
category: "marketplace";
channelAudiences: readonly ["customer-facing", "internal-support", "mixed"];
coverage: {
evidence: readonly [{
label: "Amazon official SP-API JavaScript SDK";
url: "https://github.com/amzn/selling-partner-api-sdk";
}, {
label: "Amazon prebuilt JavaScript SDK tutorial";
url: "https://developer-docs.amazon.com/sp-api/docs/automate-your-sp-api-calls-using-a-prebuilt-javascript-sdk";
}, {
label: "Amazon SP-API Orders v0 reference";
url: "https://developer-docs.amazon.com/sp-api/reference/orders-v0";
}, {
label: "Amazon SP-API Orders v2026-01-01 reference";
url: "https://developer-docs.amazon.com/sp-api/reference/orders-v2026-01-01";
}, {
label: "Amazon SP-API Restricted Data Token";
url: "https://developer-docs.amazon.com/sp-api/reference/createrestricteddatatoken";
}, {
label: "Amazon SP-API Notifications API";
url: "https://developer-docs.amazon.com/sp-api/docs/notifications-api";
}];
notes: readonly ["Coverage is limited to Cognidesk marketplace support primitives, not full Amazon SP-API ownership.", "The official Amazon JavaScript SDK is the preferred raw-client escape hatch, but this package keeps local helpers for RDT and normalized support operations because the SDK README notes RDT requires an extra step.", "Manifest/runtime exports do not expose Cognidesk-generated full-provider SP-API clones.", "Orders v0 remains available for existing SDK callers while Amazon's removal window remains relevant; v2026 order helpers are exposed for migration flows."];
scope: "support-workflow-subset";
};
credentialRequirements: readonly [{
description: "Login with Amazon client ID and secret owned by the SDK user for SP-API token refresh.";
id: "amazon-lwa-client";
label: "Amazon LWA client credentials";
required: true;
}, {
description: "Seller-authorized refresh/access token for role-gated SP-API calls, or grantless token material for Notifications API operations.";
id: "amazon-lwa-token";
label: "Amazon LWA refresh or access token";
required: true;
}, {
description: "Optional IAM role/region and SigV4 material for SDK users who operate through signed gateway paths.";
id: "amazon-aws-role-region";
label: "Amazon SP-API AWS role and region";
required: false;
}, {
description: "SDK-user-selected Amazon marketplace such as ATVPDKIKX0DER or A1PA6795UKMFR9.";
id: "amazon-marketplace-id";
label: "Amazon marketplace ID";
required: true;
}, {
description: "Notifications API destination, SQS/EventBridge routing, and SDK-user webhook gateway metadata.";
id: "amazon-notification-destination";
label: "Amazon notification destination";
required: true;
}, {
description: "SDK-user-provided verifier, shared secret, or gateway signature policy for fail-closed notification ingestion.";
id: "amazon-notification-signature";
label: "Amazon notification verification";
required: true;
}];
directions: readonly ["receive-only", "send-only", "bidirectional"];
id: "marketplace.amazon";
limitations: readonly ["The SDK user chooses marketplaces, roles, restricted-data-token policy, notification topics, outbound solicitation rules, operator visibility, retention, consent, and redaction.", "Some SP-API operations require role approval, restricted data tokens, marketplace availability, or grantless authorization; this package exposes typed support foundations and does not decide seller eligibility.", "Amazon notification transports vary by destination; this package fails closed unless the SDK user configures a verifier, gateway signature, or shared-secret check appropriate to their ingress path."];
maintainers: readonly [{
name: "Cognidesk";
type: "official";
}];
metadata: {
channelCoverage: {
buyerInfoRdt: "typed-read-restricted";
lwaTokenRefresh: "typed-token-refresh";
notificationDestinations: "typed-read";
notificationIngress: "typed-verify-parse";
notificationSubscriptions: "typed-create-read-delete";
orderItems: "typed-read";
ordersV0: "typed-read-search";
ordersV2026: "typed-read-search";
rawSellingPartnerApi: "official-sdk-escape-hatch";
restrictedDataTokens: "typed-create";
sellerParticipation: "typed-read";
sigv4Signing: "typed-sign";
solicitations: "typed-read-create-send";
};
implementation: {
caveats: readonly ["The npm package has no root types metadata; this package uses a local typed facade for raw SDK loading.", "RDT support remains local because the SDK README says some APIs need an extra RDT step."];
sdkModifiedAt: "2026-05-29T13:03:51.597Z";
sdkPackage: "@amazon-sp-api-release/amazon-sp-api-sdk-js";
sdkRepository: "https://github.com/amzn/selling-partner-api-sdk";
sdkVersionChecked: "1.9.0";
strategy: "official-sdk-plus-support-slice";
};
supportSlice: {
allowlist: (
| "amazon.refreshAccessToken"
| "amazon.createRestrictedDataToken"
| "amazon.getOrders"
| "amazon.getOrder"
| "amazon.getOrderBuyerInfo"
| "amazon.getOrderItems"
| "amazon.getOrderItemsBuyerInfo"
| "amazon.searchOrdersV2026"
| "amazon.getOrderV2026"
| "amazon.getSolicitationActionsForOrder"
| "amazon.createProductReviewAndSellerFeedbackSolicitation"
| "amazon.getMarketplaceParticipations"
| "amazon.getDestinations"
| "amazon.getDestination"
| "amazon.createSubscription"
| "amazon.getSubscription"
| "amazon.deleteSubscription"
| "amazon.parseNotificationWebhook")[];
source: "local-reviewed-support-operations";
verifiedAt: "2026-06-21";
};
};
name: "Amazon Marketplace";
operations: readonly [{
alias: "amazon.refreshAccessToken";
capability: "read-provider-object";
extension: true;
label: "Refresh Amazon LWA access token";
providerOperation: "lwa.refreshAccessToken";
requiresCredential: true;
}, {
alias: "amazon.createRestrictedDataToken";
capability: "create-provider-object";
exposesSensitiveData: true;
extension: true;
label: "Create Amazon restricted data token";
providerOperation: "tokens.createRestrictedDataToken";
requiresCredential: true;
}, {
alias: "amazon.getOrders";
capability: "search-provider-object";
exposesSensitiveData: true;
extension: true;
label: "Search Amazon orders";
providerOperation: "ordersV0.getOrders";
requiresCredential: true;
}, {
alias: "amazon.getOrder";
capability: "read-provider-object";
exposesSensitiveData: true;
extension: true;
label: "Read Amazon order";
providerOperation: "ordersV0.getOrder";
requiresCredential: true;
}, {
alias: "amazon.getOrderBuyerInfo";
capability: "read-provider-object";
exposesSensitiveData: true;
extension: true;
label: "Read Amazon order buyer info";
providerOperation: "ordersV0.getOrderBuyerInfo";
requiresCredential: true;
}, {
alias: "amazon.getOrderItems";
capability: "read-provider-object";
exposesSensitiveData: true;
extension: true;
label: "Read Amazon order items";
providerOperation: "ordersV0.getOrderItems";
requiresCredential: true;
}, {
alias: "amazon.getOrderItemsBuyerInfo";
capability: "read-provider-object";
exposesSensitiveData: true;
extension: true;
label: "Read Amazon order item buyer info";
providerOperation: "ordersV0.getOrderItemsBuyerInfo";
requiresCredential: true;
}, {
alias: "amazon.searchOrdersV2026";
capability: "search-provider-object";
exposesSensitiveData: true;
extension: true;
label: "Search Amazon Orders v2026";
providerOperation: "ordersV2026.searchOrders";
requiresCredential: true;
}, {
alias: "amazon.getOrderV2026";
capability: "read-provider-object";
exposesSensitiveData: true;
extension: true;
label: "Read Amazon Orders v2026 order";
providerOperation: "ordersV2026.getOrder";
requiresCredential: true;
}, {
alias: "amazon.getSolicitationActionsForOrder";
capability: "read-provider-object";
extension: true;
label: "Read Amazon solicitation actions";
providerOperation: "solicitations.getActionsForOrder";
requiresCredential: true;
}, {
alias: "amazon.createProductReviewAndSellerFeedbackSolicitation";
capability: "send";
changesWorkflow: true;
extension: true;
label: "Create Amazon review and seller feedback solicitation";
providerOperation: "solicitations.createProductReviewAndSellerFeedback";
requiresCredential: true;
sideEffect: true;
}, {
alias: "amazon.getMarketplaceParticipations";
capability: "read-provider-object";
extension: true;
label: "Read Amazon marketplace participations";
providerOperation: "sellers.getMarketplaceParticipations";
requiresCredential: true;
}, {
alias: "amazon.getDestinations";
capability: "search-provider-object";
extension: true;
label: "List Amazon notification destinations";
providerOperation: "notifications.getDestinations";
requiresCredential: true;
}, {
alias: "amazon.getDestination";
capability: "read-provider-object";
extension: true;
label: "Read Amazon notification destination";
providerOperation: "notifications.getDestination";
requiresCredential: true;
}, {
alias: "amazon.createSubscription";
capability: "create-provider-object";
changesWorkflow: true;
extension: true;
label: "Create Amazon notification subscription";
providerOperation: "notifications.createSubscription";
requiresCredential: true;
sideEffect: true;
}, {
alias: "amazon.getSubscription";
capability: "read-provider-object";
extension: true;
label: "Read Amazon notification subscription";
providerOperation: "notifications.getSubscription";
requiresCredential: true;
}, {
alias: "amazon.deleteSubscription";
capability: "delete-provider-object";
changesWorkflow: true;
extension: true;
label: "Delete Amazon notification subscription";
providerOperation: "notifications.deleteSubscription";
requiresCredential: true;
sideEffect: true;
}, {
alias: "amazon.parseNotificationWebhook";
capability: "receive";
exposesSensitiveData: true;
extension: true;
label: "Parse Amazon notification webhook";
providerOperation: "notifications.parseWebhook";
requiresCredential: true;
}];
packageName: "@cognidesk/integration-marketplace-amazon";
privacyNotes: readonly ["Amazon marketplace orders, order items, buyer information, seller account records, solicitations, and notifications can contain customer data, addresses, identifiers, and support context.", "LWA secrets, refresh tokens, access tokens, AWS role/signing material, notification shared secrets, and verifier logic stay server-side; Studio receives only readiness and capability metadata."];
provider: "amazon";
trustLevel: "official";
}, unknown, AmazonMarketplaceOperations>
createAmazonMarketplaceIntegrationOperationHandlers()¶
function createAmazonMarketplaceIntegrationOperationHandlers(options?): AmazonMarketplaceOperations;
Parameters¶
| Parameter | Type |
|---|---|
options? |
AmazonMarketplaceIntegrationOptions |
Returns¶
AmazonMarketplaceOperations
createAmazonMarketplaceLiveChecks()¶
function createAmazonMarketplaceLiveChecks(options): {
description: string;
id: string;
requiredCredentialIds: string[];
run: Promise<{
details: {
marketplaceId: string;
participations: string | number;
};
}>;
}[];
Parameters¶
| Parameter | Type |
|---|---|
options |
AmazonLiveCheckOptions |
Returns¶
{
description: string;
id: string;
requiredCredentialIds: string[];
run: Promise\<{
details: {
marketplaceId: string;
participations: string | number;
};
}>;
}[]
createAmazonRestrictedDataToken()¶
function createAmazonRestrictedDataToken(options, input): Promise<AmazonRestrictedDataTokenResponse>;
Parameters¶
| Parameter | Type |
|---|---|
options |
AmazonMarketplaceClientOptions |
input |
AmazonRestrictedDataTokenRequest |
Returns¶
Promise\<AmazonRestrictedDataTokenResponse>
createAmazonSpApiOfficialSdkApis()¶
Parameters¶
| Parameter | Type |
|---|---|
options |
AmazonMarketplaceClientOptions |
Returns¶
AmazonSpApiOfficialSdkApis
getAmazonSpApiOfficialSdk()¶
Returns¶
loadAmazonSpApiOfficialSdk()¶
Returns¶
Promise\<AmazonSpApiOfficialSdk>
parseAmazonMarketplaceNotificationWebhook()¶
function parseAmazonMarketplaceNotificationWebhook(request, options?): Promise<AmazonNotificationEnvelope>;
Parameters¶
| Parameter | Type |
|---|---|
request |
Request |
options? |
ParseAmazonNotificationOptions |
Returns¶
Promise\<AmazonNotificationEnvelope>
refreshAmazonLwaAccessToken()¶
Parameters¶
| Parameter | Type |
|---|---|
options |
Pick\<AmazonMarketplaceClientOptions, | "refreshToken" | "lwaClientId" | "lwaClientSecret" | "lwaTokenUrl" | "fetch"> |
Returns¶
Promise\<AmazonLwaTokenResponse>
signAmazonSpApiRequest()¶
Parameters¶
| Parameter | Type |
|---|---|
input |
{ accessKeyId: string; body?: string; headers?: Record\<string, string>; method: string; now?: Date; region: string; secretAccessKey: string; service?: string; sessionToken?: string; url: string; } |
input.accessKeyId |
string |
input.body? |
string |
input.headers? |
Record\<string, string> |
input.method |
string |
input.now? |
Date |
input.region |
string |
input.secretAccessKey |
string |
input.service? |
string |
input.sessionToken? |
string |
input.url |
string |
Returns¶
Record\<string, string>
unwrapAmazonNotificationPayload()¶
Parameters¶
| Parameter | Type |
|---|---|
payload |
unknown |
Returns¶
unknown
References¶
amazonMarketplaceOperationAliases¶
Re-exports amazonMarketplaceOperationAliases
amazonMarketplaceProviderManifest¶
Re-exports amazonMarketplaceProviderManifest